> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# updatePayrollTaxExemption

> Used to update the effectiveEndDate of a payroll tax exemption

### What it does

- Removes a payroll tax exemption on a specific date
- Allows the **effectiveEndDate** to be set in the future in case the exemption expires 
- Allows both removal and extension of an exemption with changes to **effectiveEndDate**

### Notes:
- Tax exemptions are applied at/on **payDate**. If the effectiveEndDate is before the payDate the exemption is not applied to the payPeriod and vice versa
- **exemptionEffectiveEndDate** must be today or a future date
- Once the **exemptionEffectiveEndDate** lapses, the exemption (and any required supporting documentation) must be resubmitted with `addPayrollTaxExemption` to be reactivated
- UserId is required when the taxName is an employee tax



## OpenAPI

````yaml put /payroll/updatePayrollTaxExemption
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /payroll/updatePayrollTaxExemption:
    put:
      tags: []
      summary: updatePayrollTaxExemption
      description: >-
        Used to update the effectiveEndDate of a payroll tax exemption


        ### What it does


        - Removes a payroll tax exemption on a specific date

        - Allows the **effectiveEndDate** to be set in the future in case the
        exemption expires 

        - Allows both removal and extension of an exemption with changes to
        **effectiveEndDate**


        ### Notes:

        - Tax exemptions are applied at/on **payDate**. If the effectiveEndDate
        is before the payDate the exemption is not applied to the payPeriod and
        vice versa

        - **exemptionEffectiveEndDate** must be today or a future date

        - Once the **exemptionEffectiveEndDate** lapses, the exemption (and any
        required supporting documentation) must be resubmitted with
        `addPayrollTaxExemption` to be reactivated

        - UserId is required when the taxName is an employee tax
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                userId:
                  type: string
                taxName:
                  type: string
                exemptionEffectiveEndDate:
                  type: string
              required:
                - method
                - companyId
                - taxName
                - exemptionEffectiveEndDate
            example:
              method: updatePayrollTaxExemption
              companyId: ECF1B47E-108F-45C0-A520-6A128A727B04
              userId: 33820169-85C2-482A-BCCF-B2281419E96E
              taxName: WA - State paid family medical leave ER
              exemptionEffectiveEndDate: '2026-02-23'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                required:
                  - success
                  - message
              examples:
                '1':
                  summary: Success
                  value:
                    success: true
                    message: >-
                      Payroll tax exemption end date for company updated
                      successfully.
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: >-
                        exemptionEffectiveEndDate cannot be a past date. It must
                        be current date or a future date.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                required:
                  - error
              example:
                error:
                  code: 400
                  message: >-
                    exemptionEffectiveEndDate cannot be a past date. It must be
                    current date or a future date.
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````